curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/transfers/b2b \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"network": "tron",
"memo": "<string>",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_profile_id": "<string>",
"fx_rate_quote_id": "<string>",
"fiat_currency": "<string>",
"fiat_amount_equivalent": "<string>"
}
'Vendor/subvendor/admin only. Source wallet must be registered as multisig. Platform-managed multisig wallets may complete in one step (200) after internal approval. Collaborative-signing setups may return 202 with proposal_id for TRON/Ethereum multisig flows.
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/transfers/b2b \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"network": "tron",
"memo": "<string>",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_profile_id": "<string>",
"fx_rate_quote_id": "<string>",
"fiat_currency": "<string>",
"fiat_amount_equivalent": "<string>"
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Transfer completed or accepted by the platform